Subject: Re: MySQL server under cygwin
From: "Terry Flannery" <[email-masked]>
To: "Gerrit P. Haase" <[email-masked]>
Cc: <[email-masked]>
Date: Sun, 28 Jul 2002 17:11:59 +0100

Do you remember the cygwin version that you used for running the working
3.23.4x builds?

Terry

----- Original Message -----
From: "Gerrit P. Haase" <[email-masked]>
To: "Terry Flannery" <[email-masked]>
Cc: <[email-masked]>
Sent: Sunday, July 28, 2002 5:07 PM
Subject: Re: MySQL server under cygwin

> Hallo Terry,
>
> Am Sonntag, 28. Juli 2002 um 15:07 schriebst du:
>
> > "ERROR 2002: Can't connect to local MySQL server through socket
> > '/tmp/mysql.sock' (2)"
>
> It worked some months ago, with 3.23.4x and also with one of the first
> 4.x alpha versions to run the server on Cygwin and run the complete
> sql-bench testsuite.  I have no idea why it isn't working anymore.
> Some changes in Cygwin probably, I tried to run the server (I already
> used successful half a year ago) to test DBD::mysql and this time it
> doesn't work.  After rebuilding 3.23.x or 4.x it is still the same
> problem with the server.  Cannot connect without seeing the server
> crashing.  Maybe some threads issue.
>
> However, using the clientlib to connect a 'remote' server should work,
> then call it like this:
> $ mysql -h 127.0.0.1
> (or the remote IP address).
>
> This is not working with a Cygwin mysql server:
> $ mysql -h 127.0.0.1
> ERROR 2013: Lost connection to MySQL server during query
>
>
> Gerrit
> --
> "All faults& bugs are mine - Robert"
>     from squid/acinclude.m4,   Sun Apr 21 05:21:21 2002
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/